session = false
roundTime = {}
startTime = {}
endTime = {}
rounds = 1
scrollPointerMin = 1
scrollPointerMax = 2
boostedPlayerLevel = 0
function setMaxScrollPointer()
if (rounds>1)then
scrollPointerMin = rounds -1
scrollPointerMax = rounds
end
end
function setMinScrollPointer()
scrollPointerMin = 1
scrollPointerMax = 2
end
function scrollTable(delta)
 if (delta == -1)then
 if (scrollPointerMax < rounds)then
 scrollPointerMin = scrollPointerMin + 1
 scrollPointerMax = scrollPointerMax + 1
 end
 end
 if (delta == 1)then
 if (scrollPointerMin > 1)then
 scrollPointerMin = scrollPointerMin-1
 scrollPointerMax = scrollPointerMax-1
 end
 end
end
function fhb_showGui()
FHB_TitleFrame:Show()
RHB_RoundOverviewFrame:Show()
FHB_RoundInfoFrame:Show()
FHB_StartLevelFrame:Show()
FHB_EarnedLevelFrame:Show()
FHB_PaidLevelFrame:Show()
FHB_MakroButtonFrame:Show()
FHB_Backdrop:Show()
end
function fhb_hideGui()
FHB_TitleFrame:Hide()
RHB_RoundOverviewFrame:Hide()
FHB_RoundInfoFrame:Hide()
FHB_StartLevelFrame:Hide()
FHB_EarnedLevelFrame:Hide()
FHB_PaidLevelFrame:Hide()
FHB_MakroButtonFrame:Hide()
FHB_Backdrop:Hide()
end
function roundNR(number, decimals)
    return (("%%.%df"):format(decimals)):format(number)
end
function getTimeFormat(timeDiffs)
local sekunden = timeDiffs%60
local minuten = timeDiffs-sekunden
sekunden = roundNR(sekunden, 0)
minuten = minuten/60
return minuten.."min"..sekunden.."s"
end

function setTotalRounds()
FHB_FontTotalRoundsValue:SetText(rounds)
end

function fhb_start()
if (session)then
print("FHB: There is an active session.")
return
end
FHB_FontEarnedLevelValue:SetText("")
boostedPlayerLevel = UnitLevel("party1")
if (boostedPlayerLevel ~= 0)then
FHB_FontStartLevelValue:SetText(boostedPlayerLevel)
else
FHB_FontStartLevelValue:SetText("")
end
setMinScrollPointer()
roundTime = {}
startTime = {}
endTime = {}
startingTime  = GetTime()
levelPaid = 0
rounds = 1
startTime [rounds] = GetTime()
setTotalRounds()
session = true
end


function fhb_stop()
if (session == false)then
print("FHB: There is no active session.")
return
end
session = false
endTime [rounds] = GetTime()
roundTime[rounds] = endTime[rounds] - startTime[rounds]
setMaxScrollPointer()
end


function fhb_startStop()
if (session == true)then
fhb_stop()
return
end
fhb_start()
end


function fhb_reset()
ResetInstances()
print("FHB: Instances resettet.")
end

function fhb_round()
if (session == false)then
print("FHB: No active session.")
return
end
endTime [rounds] = GetTime()
roundTime[rounds] = endTime[rounds] - startTime[rounds]
rounds = rounds + 1
startTime [rounds] = GetTime()
setTotalRounds()
setMaxScrollPointer()
end


function fhb_levelPayButton()
if (session == false)then
print("FHB: There is no active session.")
return
end
if levelPaid < 10 then
levelPaid = levelPaid + 1
else
print("FHB: You got already payed for 10 levels.")
end
end




function updateGui()
if (roundTime[scrollPointerMin] ~= nil)then
FHB_FontTimeRowOne:SetText(getTimeFormat(roundTime[scrollPointerMin]))
FHB_FontRoundRowOne:SetText(scrollPointerMin)
 elseif (startTime[scrollPointerMin] ~=nil) then
 FHB_FontTimeRowOne:SetText(getTimeFormat(GetTime()-startTime[scrollPointerMin]))
 FHB_FontRoundRowOne:SetText(scrollPointerMin)
else 
FHB_FontTimeRowOne:SetText("")
FHB_FontRoundRowOne:SetText("")
end
if (roundTime[scrollPointerMax] ~= nil)then
FHB_FontTimeRowTwo:SetText(getTimeFormat(roundTime[scrollPointerMax]))
FHB_FontRoundRowTwo:SetText(scrollPointerMax)
 elseif (startTime[scrollPointerMax] ~=nil) then
 FHB_FontTimeRowTwo:SetText(getTimeFormat(GetTime()-startTime[scrollPointerMax]))
 FHB_FontRoundRowTwo:SetText(scrollPointerMax)
else 
FHB_FontTimeRowTwo:SetText("")
FHB_FontRoundRowTwo:SetText("")
end

avgRoundTimer = 0
avgRoundCounter = 1
while (roundTime[avgRoundCounter] ~= nil) do
avgRoundTimer = avgRoundTimer + roundTime[avgRoundCounter]
avgRoundCounter = avgRoundCounter +1
end
if (avgRoundTimer ~= 0)then
avgRoundTimer = avgRoundTimer/(avgRoundCounter -1)
FHB_FontAvgRoundsValue:SetText(getTimeFormat(avgRoundTimer))
else
FHB_FontAvgRoundsValue:SetText()
end
if (session)then
FHB_BtnStartStop:SetText("Stop")
timeDiff = GetTime()-startingTime
FHB_FontTotalTimeValue:SetText(getTimeFormat(timeDiff))
FHB_FontPaidLevelValue:SetText(levelPaid)
if (boostedPlayerLevel ~= 0 )then
FHB_FontEarnedLevelValue:SetText(UnitLevel("party1")-boostedPlayerLevel)
end
end
if (session == false)then
FHB_BtnStartStop:SetText("Start")
end
end




























